Get what creator search currently supports and what enrichment costs
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/capabilities")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"email_credit_cost": 123,
"insights_credit_cost": 123,
"collaborations_credit_cost": 123,
"image_search": true,
"lookalike_platforms": [
"instagram"
],
"email_signal": true,
"content_in_search": true,
"expiring_images": true,
"unsupported_filters": [
"<string>"
],
"platform_unsupported_filters": {
"instagram": [
"<string>"
],
"tiktok": [
"<string>"
],
"youtube": [
"<string>"
]
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Creator
Get what creator search currently supports and what enrichment costs
Requires one of the following scopes: supersearch_enrichments:read, supersearch_enrichments:all, all:read, all:all
GET
/
api
/
v2
/
creator-search
/
capabilities
Get what creator search currently supports and what enrichment costs
curl --request GET \
--url https://api.instantly.ai/api/v2/creator-search/capabilities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/creator-search/capabilities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/creator-search/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/creator-search/capabilities")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/creator-search/capabilities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/creator-search/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"email_credit_cost": 123,
"insights_credit_cost": 123,
"collaborations_credit_cost": 123,
"image_search": true,
"lookalike_platforms": [
"instagram"
],
"email_signal": true,
"content_in_search": true,
"expiring_images": true,
"unsupported_filters": [
"<string>"
],
"platform_unsupported_filters": {
"instagram": [
"<string>"
],
"tiktok": [
"<string>"
],
"youtube": [
"<string>"
]
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "body must have required property 'name'",
"code": "<string>"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "<string>",
"creditsRequired": 123,
"creditsAvailable": 123,
"code": "creator_search_payment_required"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Authorizations
Response
Default Response